Bug 18907 - Warning "dpkg-source: warning: relation < is deprecated: use << or <="
Summary: Warning "dpkg-source: warning: relation < is deprecated: use << or <="
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-06 18:46 UTC by M. Tompsett
Modified: 2017-12-07 14:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18907: Build has deprecating message (1.58 KB, patch)
2017-07-06 18:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18907: Regenerated control file (5.87 KB, patch)
2017-07-06 18:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18907: Build has deprecating message (1.63 KB, patch)
2017-10-29 10:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18907: (do not push) Regenerated control file (5.94 KB, patch)
2017-10-29 10:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18907: Build has deprecating message (1.73 KB, patch)
2017-11-27 12:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-07-06 18:46:17 UTC
When following the instructions from scratch on:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way
This warning is given.
Comment 1 M. Tompsett 2017-07-06 18:48:58 UTC
Created attachment 64863 [details] [review]
Bug 18907: Build has deprecating message

Following the instructions at:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way
Receiving the following message in the build:
dpkg-source: warning: relation < is deprecated: use << or <=

This patch tweaks the list-deps.
git diff origin/master -- debian/list-deps shows just the one line
changed from < to << as per the messages suggestion and eythian's
suggestion on IRC:
http://irc.koha-community.org/koha/2017-07-06#i_1950698

The control file can be regenerated from the command-line:
./debian/update-control
However, it will be attached separately.
Comment 2 M. Tompsett 2017-07-06 18:49:00 UTC
Created attachment 64864 [details] [review]
Bug 18907: Regenerated control file

This is the regenerated control file using the list-dep
patch in the previous commit.

It is better to regenerate by hand using:
./debian/update-control
As others may have made changes to control.in which
would affect the build too.

It can be applied for ease of testing, rather than
regenerate.
Comment 3 Katrin Fischer 2017-10-28 12:07:41 UTC
Patches still apply, change appears simple, but I don't have a building environment set up at the moment.
Comment 4 Josef Moravec 2017-10-29 10:55:09 UTC
Created attachment 68807 [details] [review]
Bug 18907: Build has deprecating message

Following the instructions at:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way
Receiving the following message in the build:
dpkg-source: warning: relation < is deprecated: use << or <=

This patch tweaks the list-deps.
git diff origin/master -- debian/list-deps shows just the one line
changed from < to << as per the messages suggestion and eythian's
suggestion on IRC:
http://irc.koha-community.org/koha/2017-07-06#i_1950698

The control file can be regenerated from the command-line:
./debian/update-control
However, it will be attached separately.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Josef Moravec 2017-10-29 10:55:14 UTC
Created attachment 68808 [details] [review]
Bug 18907: (do not push) Regenerated control file

This is the regenerated control file using the list-dep
patch in the previous commit.

It is better to regenerate by hand using:
./debian/update-control
As others may have made changes to control.in which
would affect the build too.

It can be applied for ease of testing, rather than
regenerate.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Marcel de Rooy 2017-11-27 12:09:39 UTC
Created attachment 69370 [details] [review]
Bug 18907: Build has deprecating message

Following the instructions at:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way
Receiving the following message in the build:
dpkg-source: warning: relation < is deprecated: use << or <=

This patch tweaks the list-deps.
git diff origin/master -- debian/list-deps shows just the one line
changed from < to << as per the messages suggestion and eythian's
suggestion on IRC:
http://irc.koha-community.org/koha/2017-07-06#i_1950698

The control file can be regenerated from the command-line:
./debian/update-control
However, it will be attached separately.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-12-07 14:25:24 UTC
Pushed to master for 18.05, thanks to everybody involved!